<?php

/**
 * This file contains QUI\Unsemantic\EventHandler
 */

namespace QUI\Unsemantic;

use Smarty;
use SmartyException;

/**
 * Class EventHandler
 * @package QUI\Unsemantic
 */
class EventHandler
{
    /**
     * Event : on smarty init
     * @param Smarty $Smarty - \Smarty
     * @throws SmartyException
     */
    public static function onSmartyInit(Smarty $Smarty): void
    {
        if (!isset($Smarty->registered_plugins['function']) || !isset($Smarty->registered_plugins['function']['unsemantic'])) {
            $Smarty->registerPlugin(
                "function",
                "unsemantic",
                "\\QUI\\Unsemantic\\EventHandler::unsemantic"
            );
        }
    }

    /**
     * Smarty brickarea function {brickarea}
     *
     * @return string
     */
    public static function unsemantic(): string
    {
        return '<link href="' . URL_OPT_DIR . 'bin/quiqqer-asset/unsemantic/unsemantic/assets/stylesheets/unsemantic-grid-responsive.css"
          rel="stylesheet"
          type="text/css"
               />
               <link href="' . URL_OPT_DIR . 'quiqqer/unsemantic/bin/custom.css"
          rel="stylesheet"
          type="text/css" />';
    }
}
